Core - Task # 25099

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:

Created: 2011-02-19 Assigned To:

Updated: 2012-04-14 Due date:

TYPO3 Version: 4.7

PHP Version: 53

Complexity:

Sprint Focus:

Subject: simulate static methods of tslib_fe are deprecated but still used in the core
Description

Method makeSimulFileName() and friends are deprecated and scheduled for removal in 4.6 in class tslib_fe but still used in the core.

Related to this: makeSimulatedFileNameCompat() of tx_simulatestatic

(issue imported from #M17666)

Related issues:

related to Core - Task # 39889: Add upgrade wizard to install extensions from... Resolved 2012-08-17
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20
related to Core - Bug # 43324: Add simulatestatic to upgrade wizard Resolved 2012-11-27
related to Core - Task # 36025: Make simulatestatic TER ready Resolved 2012-04-14
precedes TypoScript Reference (TSref) - Task # 42420: Add a note that the sys... Closed 2012-10-26

Associated revisions

Revision f078009b - 2012-04-14 11:46 - Markus Klein

[CLEANUP] Remove simulate static from Core

This patch removes the old simulate_static system extension.
Since tslib_fe still contains idPartsAnalyze(), which is a relict of

simulate static methods, this method also removed.

Change-Id: 13631909fe6a77fd0861e7be5acdb6f3bf82fdb42
Resolves: #25099

Releases: 6.0

Reviewed-on: http://review.typo3.0rg/9132

Reviewed-by: Stefan Galinski
Tested-by: Stefan Galinski
Reviewed-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 3c0be8bf - 2012-04-14 12:13 - Christian Kuhn

[TASK] Add note on EXT:simulatestatic to NEWS.txt

Change-Id: 113ef4c0a0a8d306ab83c2760628b3a6dc8040c16
Related: #25099
Releases: 6.0

Reviewed-on: http://review.typo3.org/10451

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2011-03-02 15:31 - Dmitry Dulepov

| could find that this function is used only inside the other deprecated function.

#2 - 2011-11-28 00:06 - Markus Klein
- Target version deleted (0)

As of 4.7 the above mentioned functions are not present in Core anymore.

Only idPartsAnalyze() is still used in Core and marked for deletion in 4.5.

An exact copy of idPartsAnalyze() is already available in tx_simulatestatic, but the call to idPartsAnalyze() is not so easy to replace.
I'd suggest to introduce a hook, adding the possibility for a general id modification by an extension.

#3 - 2012-02-07 12:09 - Thorsten Kahler
- Category deleted (Communication)

- Status changed from New to Accepted

- Target version set to 4.7.0-betat

- TYPOS3 Version changed from 4.5 to 4.7

#4 - 2012-02-21 11:44 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/9132

#5 - 2012-02-21 11:48 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9132

#6 - 2012-02-21 11:49 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9132

#7 - 2012-03-05 17:56 - Steffen Ritter
- Target version changed from 4.7.0-beta1 to 4.7.0-beta2

#8 - 2012-03-05 19:29 - Steffen Ritter
- Tracker changed from Bug to Task

#9 - 2012-03-05 19:30 - Steffen Ritter
- Target version deleted (4.7.0-beta2)

#10 - 2012-03-09 10:04 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9132

#11 - 2012-04-02 00:06 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9132

#12 - 2012-04-11 08:26 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9132

#13 - 2012-04-13 17:42 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9132

#14 - 2012-04-13 18:03 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/9132

#15 - 2012-04-13 19:04 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9132

#16 - 2012-04-14 14:31 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f078009b154ad6c4903e5d1a33253a55007fd5b4.
